oracle.pgx.config

## Class AbstractFileGraphConfig

- java.lang.Object
- - oracle.pgx.config.AbstractConfig
  - - oracle.pgx.config.GraphConfig
    - - oracle.pgx.config.AbstractFileGraphConfig

- Direct Known Subclasses:
    FileGraphConfig

      public abstract class AbstractFileGraphConfig
      extends GraphConfig

  base class for file-based graph configuration classes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractFileGraphConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getName()` Get the graph name of this graph configuration.
    `int` | `hashCode()`

    - ### Methods inherited from class oracle.pgx.config.GraphConfig

      `getEdgePropertyDefault, getEdgePropertyName, getEdgePropertyType, getEdgeProps, getErrorHandling, getFormat, getLoading, getNodeKeyType, getNodePropertyDefault, getNodePropertyName, getNodePropertyType, getVertexIdType, getVertexProps, isFileFormat, isFileFormat, numEdgeProperties, numNodeProperties`

    - ### Methods inherited from class oracle.pgx.config.AbstractConfig

      `setSerializable`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractFileGraphConfig

          public AbstractFileGraphConfig()

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `GraphConfig`

    - #### getName

          public String getName()

      Description copied from class: `GraphConfig`
      Get the graph name of this graph configuration. Note: for file-based graph configurations, this is the file name of the URI this configuration points to.
      Specified by:
        `getName` in class `GraphConfig`
      Returns:
        the graph name

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `GraphConfig`

Copyright © 2015. All rights reserved.